Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network38.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
38.0.0.0
Broadcast address
39.255.255.255
First usable
38.0.0.1
Last usable
39.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 26000000 · Integer 637534208 to 671088639
Reverse DNS zones
38.in-addr.arpa
39.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100110.00000000.00000000.0000000038.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00100110.00000000.00000000.0000000038.0.0.0
Broadcast00100111.11111111.11111111.1111111139.255.255.255
Split into smaller subnets/15

38.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
138.0.0.0/1538.0.0.1 to 38.1.255.25438.1.255.255131,070
238.2.0.0/1538.2.0.1 to 38.3.255.25438.3.255.255131,070
338.4.0.0/1538.4.0.1 to 38.5.255.25438.5.255.255131,070
438.6.0.0/1538.6.0.1 to 38.7.255.25438.7.255.255131,070
538.8.0.0/1538.8.0.1 to 38.9.255.25438.9.255.255131,070
638.10.0.0/1538.10.0.1 to 38.11.255.25438.11.255.255131,070
738.12.0.0/1538.12.0.1 to 38.13.255.25438.13.255.255131,070
838.14.0.0/1538.14.0.1 to 38.15.255.25438.15.255.255131,070
938.16.0.0/1538.16.0.1 to 38.17.255.25438.17.255.255131,070
1038.18.0.0/1538.18.0.1 to 38.19.255.25438.19.255.255131,070
1138.20.0.0/1538.20.0.1 to 38.21.255.25438.21.255.255131,070
1238.22.0.0/1538.22.0.1 to 38.23.255.25438.23.255.255131,070
1338.24.0.0/1538.24.0.1 to 38.25.255.25438.25.255.255131,070
1438.26.0.0/1538.26.0.1 to 38.27.255.25438.27.255.255131,070
1538.28.0.0/1538.28.0.1 to 38.29.255.25438.29.255.255131,070
1638.30.0.0/1538.30.0.1 to 38.31.255.25438.31.255.255131,070
1738.32.0.0/1538.32.0.1 to 38.33.255.25438.33.255.255131,070
1838.34.0.0/1538.34.0.1 to 38.35.255.25438.35.255.255131,070
1938.36.0.0/1538.36.0.1 to 38.37.255.25438.37.255.255131,070
2038.38.0.0/1538.38.0.1 to 38.39.255.25438.39.255.255131,070
2138.40.0.0/1538.40.0.1 to 38.41.255.25438.41.255.255131,070
2238.42.0.0/1538.42.0.1 to 38.43.255.25438.43.255.255131,070
2338.44.0.0/1538.44.0.1 to 38.45.255.25438.45.255.255131,070
2438.46.0.0/1538.46.0.1 to 38.47.255.25438.47.255.255131,070
2538.48.0.0/1538.48.0.1 to 38.49.255.25438.49.255.255131,070
2638.50.0.0/1538.50.0.1 to 38.51.255.25438.51.255.255131,070
2738.52.0.0/1538.52.0.1 to 38.53.255.25438.53.255.255131,070
2838.54.0.0/1538.54.0.1 to 38.55.255.25438.55.255.255131,070
2938.56.0.0/1538.56.0.1 to 38.57.255.25438.57.255.255131,070
3038.58.0.0/1538.58.0.1 to 38.59.255.25438.59.255.255131,070
3138.60.0.0/1538.60.0.1 to 38.61.255.25438.61.255.255131,070
3238.62.0.0/1538.62.0.1 to 38.63.255.25438.63.255.255131,070
3338.64.0.0/1538.64.0.1 to 38.65.255.25438.65.255.255131,070
3438.66.0.0/1538.66.0.1 to 38.67.255.25438.67.255.255131,070
3538.68.0.0/1538.68.0.1 to 38.69.255.25438.69.255.255131,070
3638.70.0.0/1538.70.0.1 to 38.71.255.25438.71.255.255131,070
3738.72.0.0/1538.72.0.1 to 38.73.255.25438.73.255.255131,070
3838.74.0.0/1538.74.0.1 to 38.75.255.25438.75.255.255131,070
3938.76.0.0/1538.76.0.1 to 38.77.255.25438.77.255.255131,070
4038.78.0.0/1538.78.0.1 to 38.79.255.25438.79.255.255131,070
4138.80.0.0/1538.80.0.1 to 38.81.255.25438.81.255.255131,070
4238.82.0.0/1538.82.0.1 to 38.83.255.25438.83.255.255131,070
4338.84.0.0/1538.84.0.1 to 38.85.255.25438.85.255.255131,070
4438.86.0.0/1538.86.0.1 to 38.87.255.25438.87.255.255131,070
4538.88.0.0/1538.88.0.1 to 38.89.255.25438.89.255.255131,070
4638.90.0.0/1538.90.0.1 to 38.91.255.25438.91.255.255131,070
4738.92.0.0/1538.92.0.1 to 38.93.255.25438.93.255.255131,070
4838.94.0.0/1538.94.0.1 to 38.95.255.25438.95.255.255131,070
4938.96.0.0/1538.96.0.1 to 38.97.255.25438.97.255.255131,070
5038.98.0.0/1538.98.0.1 to 38.99.255.25438.99.255.255131,070
5138.100.0.0/1538.100.0.1 to 38.101.255.25438.101.255.255131,070
5238.102.0.0/1538.102.0.1 to 38.103.255.25438.103.255.255131,070
5338.104.0.0/1538.104.0.1 to 38.105.255.25438.105.255.255131,070
5438.106.0.0/1538.106.0.1 to 38.107.255.25438.107.255.255131,070
5538.108.0.0/1538.108.0.1 to 38.109.255.25438.109.255.255131,070
5638.110.0.0/1538.110.0.1 to 38.111.255.25438.111.255.255131,070
5738.112.0.0/1538.112.0.1 to 38.113.255.25438.113.255.255131,070
5838.114.0.0/1538.114.0.1 to 38.115.255.25438.115.255.255131,070
5938.116.0.0/1538.116.0.1 to 38.117.255.25438.117.255.255131,070
6038.118.0.0/1538.118.0.1 to 38.119.255.25438.119.255.255131,070
6138.120.0.0/1538.120.0.1 to 38.121.255.25438.121.255.255131,070
6238.122.0.0/1538.122.0.1 to 38.123.255.25438.123.255.255131,070
6338.124.0.0/1538.124.0.1 to 38.125.255.25438.125.255.255131,070
6438.126.0.0/1538.126.0.1 to 38.127.255.25438.127.255.255131,070
6538.128.0.0/1538.128.0.1 to 38.129.255.25438.129.255.255131,070
6638.130.0.0/1538.130.0.1 to 38.131.255.25438.131.255.255131,070
6738.132.0.0/1538.132.0.1 to 38.133.255.25438.133.255.255131,070
6838.134.0.0/1538.134.0.1 to 38.135.255.25438.135.255.255131,070
6938.136.0.0/1538.136.0.1 to 38.137.255.25438.137.255.255131,070
7038.138.0.0/1538.138.0.1 to 38.139.255.25438.139.255.255131,070
7138.140.0.0/1538.140.0.1 to 38.141.255.25438.141.255.255131,070
7238.142.0.0/1538.142.0.1 to 38.143.255.25438.143.255.255131,070
7338.144.0.0/1538.144.0.1 to 38.145.255.25438.145.255.255131,070
7438.146.0.0/1538.146.0.1 to 38.147.255.25438.147.255.255131,070
7538.148.0.0/1538.148.0.1 to 38.149.255.25438.149.255.255131,070
7638.150.0.0/1538.150.0.1 to 38.151.255.25438.151.255.255131,070
7738.152.0.0/1538.152.0.1 to 38.153.255.25438.153.255.255131,070
7838.154.0.0/1538.154.0.1 to 38.155.255.25438.155.255.255131,070
7938.156.0.0/1538.156.0.1 to 38.157.255.25438.157.255.255131,070
8038.158.0.0/1538.158.0.1 to 38.159.255.25438.159.255.255131,070
8138.160.0.0/1538.160.0.1 to 38.161.255.25438.161.255.255131,070
8238.162.0.0/1538.162.0.1 to 38.163.255.25438.163.255.255131,070
8338.164.0.0/1538.164.0.1 to 38.165.255.25438.165.255.255131,070
8438.166.0.0/1538.166.0.1 to 38.167.255.25438.167.255.255131,070
8538.168.0.0/1538.168.0.1 to 38.169.255.25438.169.255.255131,070
8638.170.0.0/1538.170.0.1 to 38.171.255.25438.171.255.255131,070
8738.172.0.0/1538.172.0.1 to 38.173.255.25438.173.255.255131,070
8838.174.0.0/1538.174.0.1 to 38.175.255.25438.175.255.255131,070
8938.176.0.0/1538.176.0.1 to 38.177.255.25438.177.255.255131,070
9038.178.0.0/1538.178.0.1 to 38.179.255.25438.179.255.255131,070
9138.180.0.0/1538.180.0.1 to 38.181.255.25438.181.255.255131,070
9238.182.0.0/1538.182.0.1 to 38.183.255.25438.183.255.255131,070
9338.184.0.0/1538.184.0.1 to 38.185.255.25438.185.255.255131,070
9438.186.0.0/1538.186.0.1 to 38.187.255.25438.187.255.255131,070
9538.188.0.0/1538.188.0.1 to 38.189.255.25438.189.255.255131,070
9638.190.0.0/1538.190.0.1 to 38.191.255.25438.191.255.255131,070
9738.192.0.0/1538.192.0.1 to 38.193.255.25438.193.255.255131,070
9838.194.0.0/1538.194.0.1 to 38.195.255.25438.195.255.255131,070
9938.196.0.0/1538.196.0.1 to 38.197.255.25438.197.255.255131,070
10038.198.0.0/1538.198.0.1 to 38.199.255.25438.199.255.255131,070
10138.200.0.0/1538.200.0.1 to 38.201.255.25438.201.255.255131,070
10238.202.0.0/1538.202.0.1 to 38.203.255.25438.203.255.255131,070
10338.204.0.0/1538.204.0.1 to 38.205.255.25438.205.255.255131,070
10438.206.0.0/1538.206.0.1 to 38.207.255.25438.207.255.255131,070
10538.208.0.0/1538.208.0.1 to 38.209.255.25438.209.255.255131,070
10638.210.0.0/1538.210.0.1 to 38.211.255.25438.211.255.255131,070
10738.212.0.0/1538.212.0.1 to 38.213.255.25438.213.255.255131,070
10838.214.0.0/1538.214.0.1 to 38.215.255.25438.215.255.255131,070
10938.216.0.0/1538.216.0.1 to 38.217.255.25438.217.255.255131,070
11038.218.0.0/1538.218.0.1 to 38.219.255.25438.219.255.255131,070
11138.220.0.0/1538.220.0.1 to 38.221.255.25438.221.255.255131,070
11238.222.0.0/1538.222.0.1 to 38.223.255.25438.223.255.255131,070
11338.224.0.0/1538.224.0.1 to 38.225.255.25438.225.255.255131,070
11438.226.0.0/1538.226.0.1 to 38.227.255.25438.227.255.255131,070
11538.228.0.0/1538.228.0.1 to 38.229.255.25438.229.255.255131,070
11638.230.0.0/1538.230.0.1 to 38.231.255.25438.231.255.255131,070
11738.232.0.0/1538.232.0.1 to 38.233.255.25438.233.255.255131,070
11838.234.0.0/1538.234.0.1 to 38.235.255.25438.235.255.255131,070
11938.236.0.0/1538.236.0.1 to 38.237.255.25438.237.255.255131,070
12038.238.0.0/1538.238.0.1 to 38.239.255.25438.239.255.255131,070
12138.240.0.0/1538.240.0.1 to 38.241.255.25438.241.255.255131,070
12238.242.0.0/1538.242.0.1 to 38.243.255.25438.243.255.255131,070
12338.244.0.0/1538.244.0.1 to 38.245.255.25438.245.255.255131,070
12438.246.0.0/1538.246.0.1 to 38.247.255.25438.247.255.255131,070
12538.248.0.0/1538.248.0.1 to 38.249.255.25438.249.255.255131,070
12638.250.0.0/1538.250.0.1 to 38.251.255.25438.251.255.255131,070
12738.252.0.0/1538.252.0.1 to 38.253.255.25438.253.255.255131,070
12838.254.0.0/1538.254.0.1 to 38.255.255.25438.255.255.255131,070
12939.0.0.0/1539.0.0.1 to 39.1.255.25439.1.255.255131,070
13039.2.0.0/1539.2.0.1 to 39.3.255.25439.3.255.255131,070
13139.4.0.0/1539.4.0.1 to 39.5.255.25439.5.255.255131,070
13239.6.0.0/1539.6.0.1 to 39.7.255.25439.7.255.255131,070
13339.8.0.0/1539.8.0.1 to 39.9.255.25439.9.255.255131,070
13439.10.0.0/1539.10.0.1 to 39.11.255.25439.11.255.255131,070
13539.12.0.0/1539.12.0.1 to 39.13.255.25439.13.255.255131,070
13639.14.0.0/1539.14.0.1 to 39.15.255.25439.15.255.255131,070
13739.16.0.0/1539.16.0.1 to 39.17.255.25439.17.255.255131,070
13839.18.0.0/1539.18.0.1 to 39.19.255.25439.19.255.255131,070
13939.20.0.0/1539.20.0.1 to 39.21.255.25439.21.255.255131,070
14039.22.0.0/1539.22.0.1 to 39.23.255.25439.23.255.255131,070
14139.24.0.0/1539.24.0.1 to 39.25.255.25439.25.255.255131,070
14239.26.0.0/1539.26.0.1 to 39.27.255.25439.27.255.255131,070
14339.28.0.0/1539.28.0.1 to 39.29.255.25439.29.255.255131,070
14439.30.0.0/1539.30.0.1 to 39.31.255.25439.31.255.255131,070
14539.32.0.0/1539.32.0.1 to 39.33.255.25439.33.255.255131,070
14639.34.0.0/1539.34.0.1 to 39.35.255.25439.35.255.255131,070
14739.36.0.0/1539.36.0.1 to 39.37.255.25439.37.255.255131,070
14839.38.0.0/1539.38.0.1 to 39.39.255.25439.39.255.255131,070
14939.40.0.0/1539.40.0.1 to 39.41.255.25439.41.255.255131,070
15039.42.0.0/1539.42.0.1 to 39.43.255.25439.43.255.255131,070
15139.44.0.0/1539.44.0.1 to 39.45.255.25439.45.255.255131,070
15239.46.0.0/1539.46.0.1 to 39.47.255.25439.47.255.255131,070
15339.48.0.0/1539.48.0.1 to 39.49.255.25439.49.255.255131,070
15439.50.0.0/1539.50.0.1 to 39.51.255.25439.51.255.255131,070
15539.52.0.0/1539.52.0.1 to 39.53.255.25439.53.255.255131,070
15639.54.0.0/1539.54.0.1 to 39.55.255.25439.55.255.255131,070
15739.56.0.0/1539.56.0.1 to 39.57.255.25439.57.255.255131,070
15839.58.0.0/1539.58.0.1 to 39.59.255.25439.59.255.255131,070
15939.60.0.0/1539.60.0.1 to 39.61.255.25439.61.255.255131,070
16039.62.0.0/1539.62.0.1 to 39.63.255.25439.63.255.255131,070
16139.64.0.0/1539.64.0.1 to 39.65.255.25439.65.255.255131,070
16239.66.0.0/1539.66.0.1 to 39.67.255.25439.67.255.255131,070
16339.68.0.0/1539.68.0.1 to 39.69.255.25439.69.255.255131,070
16439.70.0.0/1539.70.0.1 to 39.71.255.25439.71.255.255131,070
16539.72.0.0/1539.72.0.1 to 39.73.255.25439.73.255.255131,070
16639.74.0.0/1539.74.0.1 to 39.75.255.25439.75.255.255131,070
16739.76.0.0/1539.76.0.1 to 39.77.255.25439.77.255.255131,070
16839.78.0.0/1539.78.0.1 to 39.79.255.25439.79.255.255131,070
16939.80.0.0/1539.80.0.1 to 39.81.255.25439.81.255.255131,070
17039.82.0.0/1539.82.0.1 to 39.83.255.25439.83.255.255131,070
17139.84.0.0/1539.84.0.1 to 39.85.255.25439.85.255.255131,070
17239.86.0.0/1539.86.0.1 to 39.87.255.25439.87.255.255131,070
17339.88.0.0/1539.88.0.1 to 39.89.255.25439.89.255.255131,070
17439.90.0.0/1539.90.0.1 to 39.91.255.25439.91.255.255131,070
17539.92.0.0/1539.92.0.1 to 39.93.255.25439.93.255.255131,070
17639.94.0.0/1539.94.0.1 to 39.95.255.25439.95.255.255131,070
17739.96.0.0/1539.96.0.1 to 39.97.255.25439.97.255.255131,070
17839.98.0.0/1539.98.0.1 to 39.99.255.25439.99.255.255131,070
17939.100.0.0/1539.100.0.1 to 39.101.255.25439.101.255.255131,070
18039.102.0.0/1539.102.0.1 to 39.103.255.25439.103.255.255131,070
18139.104.0.0/1539.104.0.1 to 39.105.255.25439.105.255.255131,070
18239.106.0.0/1539.106.0.1 to 39.107.255.25439.107.255.255131,070
18339.108.0.0/1539.108.0.1 to 39.109.255.25439.109.255.255131,070
18439.110.0.0/1539.110.0.1 to 39.111.255.25439.111.255.255131,070
18539.112.0.0/1539.112.0.1 to 39.113.255.25439.113.255.255131,070
18639.114.0.0/1539.114.0.1 to 39.115.255.25439.115.255.255131,070
18739.116.0.0/1539.116.0.1 to 39.117.255.25439.117.255.255131,070
18839.118.0.0/1539.118.0.1 to 39.119.255.25439.119.255.255131,070
18939.120.0.0/1539.120.0.1 to 39.121.255.25439.121.255.255131,070
19039.122.0.0/1539.122.0.1 to 39.123.255.25439.123.255.255131,070
19139.124.0.0/1539.124.0.1 to 39.125.255.25439.125.255.255131,070
19239.126.0.0/1539.126.0.1 to 39.127.255.25439.127.255.255131,070
19339.128.0.0/1539.128.0.1 to 39.129.255.25439.129.255.255131,070
19439.130.0.0/1539.130.0.1 to 39.131.255.25439.131.255.255131,070
19539.132.0.0/1539.132.0.1 to 39.133.255.25439.133.255.255131,070
19639.134.0.0/1539.134.0.1 to 39.135.255.25439.135.255.255131,070
19739.136.0.0/1539.136.0.1 to 39.137.255.25439.137.255.255131,070
19839.138.0.0/1539.138.0.1 to 39.139.255.25439.139.255.255131,070
19939.140.0.0/1539.140.0.1 to 39.141.255.25439.141.255.255131,070
20039.142.0.0/1539.142.0.1 to 39.143.255.25439.143.255.255131,070
20139.144.0.0/1539.144.0.1 to 39.145.255.25439.145.255.255131,070
20239.146.0.0/1539.146.0.1 to 39.147.255.25439.147.255.255131,070
20339.148.0.0/1539.148.0.1 to 39.149.255.25439.149.255.255131,070
20439.150.0.0/1539.150.0.1 to 39.151.255.25439.151.255.255131,070
20539.152.0.0/1539.152.0.1 to 39.153.255.25439.153.255.255131,070
20639.154.0.0/1539.154.0.1 to 39.155.255.25439.155.255.255131,070
20739.156.0.0/1539.156.0.1 to 39.157.255.25439.157.255.255131,070
20839.158.0.0/1539.158.0.1 to 39.159.255.25439.159.255.255131,070
20939.160.0.0/1539.160.0.1 to 39.161.255.25439.161.255.255131,070
21039.162.0.0/1539.162.0.1 to 39.163.255.25439.163.255.255131,070
21139.164.0.0/1539.164.0.1 to 39.165.255.25439.165.255.255131,070
21239.166.0.0/1539.166.0.1 to 39.167.255.25439.167.255.255131,070
21339.168.0.0/1539.168.0.1 to 39.169.255.25439.169.255.255131,070
21439.170.0.0/1539.170.0.1 to 39.171.255.25439.171.255.255131,070
21539.172.0.0/1539.172.0.1 to 39.173.255.25439.173.255.255131,070
21639.174.0.0/1539.174.0.1 to 39.175.255.25439.175.255.255131,070
21739.176.0.0/1539.176.0.1 to 39.177.255.25439.177.255.255131,070
21839.178.0.0/1539.178.0.1 to 39.179.255.25439.179.255.255131,070
21939.180.0.0/1539.180.0.1 to 39.181.255.25439.181.255.255131,070
22039.182.0.0/1539.182.0.1 to 39.183.255.25439.183.255.255131,070
22139.184.0.0/1539.184.0.1 to 39.185.255.25439.185.255.255131,070
22239.186.0.0/1539.186.0.1 to 39.187.255.25439.187.255.255131,070
22339.188.0.0/1539.188.0.1 to 39.189.255.25439.189.255.255131,070
22439.190.0.0/1539.190.0.1 to 39.191.255.25439.191.255.255131,070
22539.192.0.0/1539.192.0.1 to 39.193.255.25439.193.255.255131,070
22639.194.0.0/1539.194.0.1 to 39.195.255.25439.195.255.255131,070
22739.196.0.0/1539.196.0.1 to 39.197.255.25439.197.255.255131,070
22839.198.0.0/1539.198.0.1 to 39.199.255.25439.199.255.255131,070
22939.200.0.0/1539.200.0.1 to 39.201.255.25439.201.255.255131,070
23039.202.0.0/1539.202.0.1 to 39.203.255.25439.203.255.255131,070
23139.204.0.0/1539.204.0.1 to 39.205.255.25439.205.255.255131,070
23239.206.0.0/1539.206.0.1 to 39.207.255.25439.207.255.255131,070
23339.208.0.0/1539.208.0.1 to 39.209.255.25439.209.255.255131,070
23439.210.0.0/1539.210.0.1 to 39.211.255.25439.211.255.255131,070
23539.212.0.0/1539.212.0.1 to 39.213.255.25439.213.255.255131,070
23639.214.0.0/1539.214.0.1 to 39.215.255.25439.215.255.255131,070
23739.216.0.0/1539.216.0.1 to 39.217.255.25439.217.255.255131,070
23839.218.0.0/1539.218.0.1 to 39.219.255.25439.219.255.255131,070
23939.220.0.0/1539.220.0.1 to 39.221.255.25439.221.255.255131,070
24039.222.0.0/1539.222.0.1 to 39.223.255.25439.223.255.255131,070
24139.224.0.0/1539.224.0.1 to 39.225.255.25439.225.255.255131,070
24239.226.0.0/1539.226.0.1 to 39.227.255.25439.227.255.255131,070
24339.228.0.0/1539.228.0.1 to 39.229.255.25439.229.255.255131,070
24439.230.0.0/1539.230.0.1 to 39.231.255.25439.231.255.255131,070
24539.232.0.0/1539.232.0.1 to 39.233.255.25439.233.255.255131,070
24639.234.0.0/1539.234.0.1 to 39.235.255.25439.235.255.255131,070
24739.236.0.0/1539.236.0.1 to 39.237.255.25439.237.255.255131,070
24839.238.0.0/1539.238.0.1 to 39.239.255.25439.239.255.255131,070
24939.240.0.0/1539.240.0.1 to 39.241.255.25439.241.255.255131,070
25039.242.0.0/1539.242.0.1 to 39.243.255.25439.243.255.255131,070
25139.244.0.0/1539.244.0.1 to 39.245.255.25439.245.255.255131,070
25239.246.0.0/1539.246.0.1 to 39.247.255.25439.247.255.255131,070
25339.248.0.0/1539.248.0.1 to 39.249.255.25439.249.255.255131,070
25439.250.0.0/1539.250.0.1 to 39.251.255.25439.251.255.255131,070
25539.252.0.0/1539.252.0.1 to 39.253.255.25439.253.255.255131,070
25639.254.0.0/1539.254.0.1 to 39.255.255.25439.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses